#[derive(Clone, PartialEq, ::prost::Message)]
pub struct Game {
  #[prost(uint64, tag = "1")]
  pub id: u64,
  #[prost(uint64, tag = "2")]
  pub vendor_id: u64,
  #[prost(string, tag = "3")]
  pub key: ::prost::alloc::string::String,
  #[prost(string, tag = "4")]
  pub names: ::prost::alloc::string::String,
  #[prost(string, tag = "5")]
  pub platform: ::prost::alloc::string::String,
  #[prost(string, tag = "6")]
  pub category: ::prost::alloc::string::String,
  #[prost(string, tag = "7")]
  pub game_type: ::prost::alloc::string::String,
  #[prost(string, optional, tag = "8")]
  pub image: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(uint64, tag = "9")]
  pub created_at: u64,
  #[prost(uint64, tag = "10")]
  pub updated_at: u64,
}
