#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ResourceAction {
    #[prost(string, tag="1")]
    pub id: ::prost::alloc::string::String,
    #[prost(message, optional, tag="2")]
    pub resource: ::core::option::Option<super::resource::Resource>,
    #[prost(string, tag="3")]
    pub name: ::prost::alloc::string::String,
    #[prost(string, tag="4")]
    pub key: ::prost::alloc::string::String,
    #[prost(string, tag="5")]
    pub description: ::prost::alloc::string::String,
    #[prost(bool, tag="6")]
    pub can_use: bool,
    #[prost(uint64, tag="7")]
    pub created_at: u64,
    #[prost(uint64, tag="8")]
    pub updated_at: u64,
}
