const SUBJECT: &str = "bet.beteran.ss.api.vendor";

pub const SUBJECT_LIST_VENDORS: &str = const_format::concatcp!(SUBJECT, ".ListVendors");

/// subject = bet.beteran.ss.api.vendor.ListVendors
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListVendorsRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<list_vendors_request::Request>,
}
/// Nested message and enum types in `ListVendorsRequest`.
pub mod list_vendors_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(message, optional, tag = "1")]
    pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
    #[prost(message, repeated, tag = "2")]
    pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
    #[prost(message, optional, tag = "3")]
    pub search: ::core::option::Option<request::Search>,
  }
  /// Nested message and enum types in `Request`.
  pub mod request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Search {
      #[prost(uint64, optional, tag = "1")]
      pub company_id: ::core::option::Option<u64>,
      #[prost(uint64, optional, tag = "2")]
      pub vendor_id: ::core::option::Option<u64>,
      #[prost(string, optional, tag = "3")]
      pub key_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "4")]
      pub name_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "5")]
      pub category_like: ::core::option::Option<::prost::alloc::string::String>,
      #[prost(string, optional, tag = "6")]
      pub is_enable: ::core::option::Option<::prost::alloc::string::String>,
    }
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListVendorsResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_vendors_response::Result>,
}
/// Nested message and enum types in `ListVendorsResponse`.
pub mod list_vendors_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, repeated, tag = "1")]
    pub vendors: ::prost::alloc::vec::Vec<crate::models::api::vendor::Vendor>,
  }
}
