const SUBJECT: &str = "bet.beteran.ss.member_settlement_setting";

pub const SUBJECT_CREATE_MEMBER_SETTLEMENT_SETTING: &str =
  const_format::concatcp!(SUBJECT, ".CreateMemberSettlementSetting");
pub const SUBJECT_LIST_MEMBER_SETTLEMENT_SETTINGS: &str =
  const_format::concatcp!(SUBJECT, ".ListMemberSettlementSettings");
pub const SUBJECT_GET_MEMBER_SETTLEMENT_SETTING: &str =
  const_format::concatcp!(SUBJECT, ".GetMemberSettlementSetting");
pub const SUBJECT_UPDATE_MEMBER_SETTLEMENT_SETTING: &str =
  const_format::concatcp!(SUBJECT, ".UpdateMemberSettlementSetting");
pub const SUBJECT_DELETE_MEMBER_SETTLEMENT_SETTING: &str =
  const_format::concatcp!(SUBJECT, ".DeleteMemberSettlementSetting");

/// subject = bet.beteran.ss.member_settlement_setting.CreateMemberSettlementSetting
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberSettlementSettingRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<create_member_settlement_setting_request::Request>,
}
/// Nested message and enum types in `CreateMemberSettlementSettingRequest`.
pub mod create_member_settlement_setting_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub member_id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct CreateMemberSettlementSettingResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<create_member_settlement_setting_response::Result>,
}
/// Nested message and enum types in `CreateMemberSettlementSettingResponse`.
pub mod create_member_settlement_setting_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_settlement_setting:
      ::core::option::Option<crate::models::member_settlement_setting::MemberSettlementSetting>,
  }
}
/// subject = bet.beteran.ss.member_settlement_setting.ListMemberSettlementSettings
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberSettlementSettingsRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<list_member_settlement_settings_request::Request>,
}
/// Nested message and enum types in `ListMemberSettlementSettingsRequest`.
pub mod list_member_settlement_settings_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(message, optional, tag = "1")]
    pub pagination: ::core::option::Option<crate::protobuf::pagination::Pagination>,
    #[prost(message, repeated, tag = "2")]
    pub sorts: ::prost::alloc::vec::Vec<crate::protobuf::pagination::Sort>,
    #[prost(message, optional, tag = "3")]
    pub search: ::core::option::Option<request::Search>,
  }
  /// Nested message and enum types in `Request`.
  pub mod request {
    #[derive(Clone, PartialEq, ::prost::Message)]
    pub struct Search {
      #[prost(string, optional, tag = "1")]
      pub member_id: ::core::option::Option<::prost::alloc::string::String>,
    }
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct ListMemberSettlementSettingsResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<list_member_settlement_settings_response::Result>,
}
/// Nested message and enum types in `ListMemberSettlementSettingsResponse`.
pub mod list_member_settlement_settings_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, repeated, tag = "1")]
    pub member_settlement_settings:
      ::prost::alloc::vec::Vec<crate::models::member_settlement_setting::MemberSettlementSetting>,
  }
}
/// subject = bet.beteran.ss.member_settlement_setting.GetMemberSettlementSetting
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberSettlementSettingRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<get_member_settlement_setting_request::Request>,
}
/// Nested message and enum types in `GetMemberSettlementSettingRequest`.
pub mod get_member_settlement_setting_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct GetMemberSettlementSettingResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<get_member_settlement_setting_response::Result>,
}
/// Nested message and enum types in `GetMemberSettlementSettingResponse`.
pub mod get_member_settlement_setting_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_settlement_setting:
      ::core::option::Option<crate::models::member_settlement_setting::MemberSettlementSetting>,
  }
}
/// subject = bet.beteran.ss.member_settlement_setting.UpdateMemberSettlementSetting
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberSettlementSettingRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<update_member_settlement_setting_request::Request>,
}
/// Nested message and enum types in `UpdateMemberSettlementSettingRequest`.
pub mod update_member_settlement_setting_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
    #[prost(bool, tag = "2")]
    pub can_exchange: bool,
    #[prost(bool, tag = "3")]
    pub can_first_charge_comp: bool,
    #[prost(bool, tag = "4")]
    pub can_per_charge_comp: bool,
    #[prost(
      enumeration = "crate::models::member_settlement_setting::SettlementType",
      tag = "5"
    )]
    pub settlement_type: i32,
    #[prost(
      enumeration = "crate::models::member_settlement_setting::ManualPaymentType",
      tag = "6"
    )]
    pub manual_payment_type_for_partner: i32,
    #[prost(double, tag = "7")]
    pub rate_casino: f64,
    #[prost(double, tag = "8")]
    pub rate_casino_loosing: f64,
    #[prost(double, tag = "9")]
    pub rate_casino_bacara: f64,
    #[prost(double, tag = "10")]
    pub rate_casino_roulette: f64,
    #[prost(double, tag = "11")]
    pub rate_casino_dragon_tiger: f64,
    #[prost(double, tag = "12")]
    pub rate_slot: f64,
    #[prost(double, tag = "13")]
    pub rate_slot_loosing: f64,
    #[prost(double, tag = "14")]
    pub rate_powerball_single: f64,
    #[prost(double, tag = "15")]
    pub rate_powerball_combo: f64,
    #[prost(double, tag = "16")]
    pub rate_powerladder_single: f64,
    #[prost(double, tag = "17")]
    pub rate_powerladder_combo: f64,
    #[prost(double, tag = "18")]
    pub rate_eos_single: f64,
    #[prost(double, tag = "19")]
    pub rate_eos_combo: f64,
    #[prost(double, tag = "20")]
    pub rate_bogglepowerball_single: f64,
    #[prost(double, tag = "21")]
    pub rate_bogglepowerball_combo: f64,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct UpdateMemberSettlementSettingResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<update_member_settlement_setting_response::Result>,
}
/// Nested message and enum types in `UpdateMemberSettlementSettingResponse`.
pub mod update_member_settlement_setting_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {
    #[prost(message, optional, tag = "1")]
    pub member_settlement_setting:
      ::core::option::Option<crate::models::member_settlement_setting::MemberSettlementSetting>,
  }
}
/// subject = bet.beteran.ss.member_settlement_setting.DeleteMemberSettlementSetting
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberSettlementSettingRequest {
  #[prost(message, optional, tag = "1")]
  pub client: ::core::option::Option<crate::models::core::network::Client>,
  #[prost(message, optional, tag = "2")]
  pub request: ::core::option::Option<delete_member_settlement_setting_request::Request>,
}
/// Nested message and enum types in `DeleteMemberSettlementSettingRequest`.
pub mod delete_member_settlement_setting_request {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Request {
    #[prost(string, tag = "1")]
    pub id: ::prost::alloc::string::String,
  }
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct DeleteMemberSettlementSettingResponse {
  #[prost(message, optional, tag = "1")]
  pub error: ::core::option::Option<crate::protobuf::rpc::Error>,
  #[prost(message, optional, tag = "2")]
  pub result: ::core::option::Option<delete_member_settlement_setting_response::Result>,
}
/// Nested message and enum types in `DeleteMemberSettlementSettingResponse`.
pub mod delete_member_settlement_setting_response {
  #[derive(Clone, PartialEq, ::prost::Message)]
  pub struct Result {}
}
